Bug 11244 - Perl english module is [partially] broken.
Summary: Perl english module is [partially] broken.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: perl   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-05 14:49 UTC by Nalin Dahyabhai
Modified: 2007-04-18 16:26 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-21 15:17:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nalin Dahyabhai 2000-05-05 14:49:21 UTC
This works in 5.00503, but doesn't in 5.6.0:
perl -e 'use English;print "$PERL_VERSION\n";'

Comment 1 Cristian Gafton 2000-08-09 02:45:30 UTC
assigned to nalin

Comment 2 Steven Pritchard 2004-04-21 15:10:06 UTC
$PERL_VERSION is $^V, not $], starting with 5.6.0.  $^V would be 
"\x05\x06\x00" in 5.6.0 and can be printed with 
 
  printf "%vd\n", $PERL_VERSION; 
 
See perldelta(1) in 5.6.0, or perl56delta(1) in later versions. 


Note You need to log in before you can comment on or make changes to this bug.